#
# Makefile for libnids samples.
#
# Dug Song <dugsong@monkey.org>

srcdir		= @srcdir@
VPATH		= @srcdir@

CC		= @CC@
CFLAGS		= @CFLAGS@
LDFLAGS		= @LDFLAGS@

PCAPINC		= @PCAPINC@
PCAPLIB		= @PCAPLIB@

LNETINC		= @LNETINC@
LNETLIB		= @LNETLIB@

INCS		= -I../src $(PCAPINC) $(LNETINC)
LIBS		= -L../src -lnids -lpcap -lnet @LIBS@

.c.o:
	$(CC) -c $(CFLAGS) -I. $(INCS) $<

all: overflows printall sniff

overflows: overflows.o
	$(CC) $(CFLAGS) -o $@ overflows.o $(LDFLAGS) $(LIBS)

printall: printall.o
	$(CC) $(CFLAGS) -o $@ printall.o $(LDFLAGS) $(LIBS)

sniff: sniff.o
	$(CC) $(CFLAGS) -o $@ sniff.o $(LDFLAGS) $(LIBS)

install:
	@true

clean:
	rm -f *.o *~ overflows printall sniff

# EOF
